X2Go Bug report logs - #126
Provide info in /etc/default config files about broker debug mode

version graph

Package: x2gobroker; Maintainer for x2gobroker is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2gobroker is src:x2gobroker.

Reported by: Anders Bruun Olsen <abo@dsl.dk>

Date: Thu, 28 Feb 2013 12:18:01 UTC

Severity: normal

Tags: pending

Found in version 0.0.0.5

Done: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#126; Package x2gobroker. (Thu, 28 Feb 2013 12:18:01 GMT) (full text, mbox, link).


Acknowledgement sent to Anders Bruun Olsen <abo@dsl.dk>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Thu, 28 Feb 2013 12:18:02 GMT) (full text, mbox, link).


Message #5 received at submit@bugs.x2go.org (full text, mbox, reply):

From: Anders Bruun Olsen <abo@dsl.dk>
To: submit@bugs.x2go.org
Subject: x2gobroker only works in debug-mode
Date: Thu, 28 Feb 2013 13:06:05 +0100
[Message part 1 (text/plain, inline)]
Package: x2gobroker
Version: 0.0.0.5

When I have X2GOBROKER_DEBUG=1 in /etc/default/x2gobroker-daemon, it
returns the correct information:

$ curl "
http://x2go-broker.dsl.lan:8080/plain/inifile/?task=selectsession&sid=term-internal
"
Access granted
SERVER:testterm1.dsl.lan:22

However, when I set X2GOBROKER_DEBUG=0 or completely remove that line, this
is what I get:
$ curl "
http://x2go-broker.dsl.lan:8080/plain/inifile/?task=selectsession&sid=term-internal
"
404 Not Found

-- 
Anders Bruun Olsen
It-ansvarlig
Det Danske Sprog- og Litteraturselskab
(Society for Danish Language and Literature)
[Message part 2 (text/html, inline)]

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#126; Package x2gobroker. (Thu, 28 Feb 2013 16:18:01 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Thu, 28 Feb 2013 16:18:01 GMT) (full text, mbox, link).


Message #10 received at 126@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Anders Bruun Olsen <abo@dsl.dk>
Cc: 126@bugs.x2go.org, control@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#126: x2gobroker only works in debug-mode
Date: Thu, 28 Feb 2013 17:05:18 +0100
[Message part 1 (text/plain, inline)]
tag #126 wontfix
thanks

Dear Anders,

On Do 28 Feb 2013 13:06:05 CET Anders Bruun Olsen wrote:

> Package: x2gobroker
> Version: 0.0.0.5
>
> When I have X2GOBROKER_DEBUG=1 in /etc/default/x2gobroker-daemon, it
> returns the correct information:
>
> $ curl "
> http://x2go-broker.dsl.lan:8080/plain/inifile/?task=selectsession&sid=term-internal
> "
> Access granted
> SERVER:testterm1.dsl.lan:22
>
> However, when I set X2GOBROKER_DEBUG=0 or completely remove that line, this
> is what I get:
> $ curl "
> http://x2go-broker.dsl.lan:8080/plain/inifile/?task=selectsession&sid=term-internal
> "
> 404 Not Found

The above described phenomenon is intended behaviour.

In X2GOBROKER_DEBUG mode (=1) both http request methods (POST, GET)  
are possible and deliver a proper result. The curl command issues a  
GET request.

Without X2GOBROKER_DEBUG mode (=0) the GET request is disable and  
result in 404 Not Found. X2Go Client however, will just work fine, as  
it issues a POST request.

Greets,
Mike


-- 

DAS-NETZWERKTEAM
mike gabriel, rothenstein 5, 24214 neudorf-bornstein
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Added tag(s) wontfix. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Thu, 28 Feb 2013 16:18:02 GMT) (full text, mbox, link).


Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#126; Package x2gobroker. (Fri, 01 Mar 2013 08:48:01 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Fri, 01 Mar 2013 08:48:01 GMT) (full text, mbox, link).


Message #17 received at 126@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 126@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#126: x2gobroker only works in debug-mode
Date: Fri, 01 Mar 2013 09:34:37 +0100
[Message part 1 (text/plain, inline)]
Hi Morty,

On Do 28 Feb 2013 18:47:51 CET Moritz Struebe wrote:

> Hi Mike.
>
> On 2013-02-28 17:05, Mike Gabriel wrote:
>> The above described phenomenon is intended behaviour.
>>
>> In X2GOBROKER_DEBUG mode (=1) both http request methods (POST, GET)
>> are possible and deliver a proper result. The curl command issues a
>> GET request.
>>
>> Without X2GOBROKER_DEBUG mode (=0) the GET request is disable and
>> result in 404 Not Found. X2Go Client however, will just work fine, as
>> it issues a POST request.
>
> What is the rationale for this. While I don't work with the broker this
> seems odd.

With X2Go Session Broker you specify username and password as URL parameters.

That is: you end up with your user password in the firefox URL   
history. I will add a warning to the config file that hints the   
testing admin to that.

This behaviour is not about functionality, but about awareness.

Mike


-- 

DAS-NETZWERKTEAM
mike gabriel, rothenstein 5, 24214 neudorf-bornstein
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb

[Message part 2 (application/pgp-signature, inline)]

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#126; Package x2gobroker. (Fri, 01 Mar 2013 10:18:02 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Fri, 01 Mar 2013 10:18:02 GMT) (full text, mbox, link).


Message #22 received at 126@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Anders Bruun Olsen <abo@dsl.dk>
Cc: 126@bugs.x2go.org, control@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#126: x2gobroker only works in debug-mode
Date: Fri, 01 Mar 2013 11:15:41 +0100
[Message part 1 (text/plain, inline)]
tag #126 pending
tag #126 - wontfix
retitle #126 Provide info in /etc/default config files about broker debug mode
thanks

Hi Anders, hi Morty,

On Fr 01 Mär 2013 10:30:11 CET Anders Bruun Olsen wrote:

> 2013/2/28 Moritz Struebe <Moritz.Struebe@informatik.uni-erlangen.de>
>
>> > Without X2GOBROKER_DEBUG mode (=0) the GET request is disable and
>> > result in 404 Not Found. X2Go Client however, will just work fine, as
>> > it issues a POST request.
>> What is the rationale for this. While I don't work with the broker this
>> seems odd.
>>
>
> It could be related to REST. A POST request is usually what is used for
> giving input to a REST service. It means that caches do the right thing
> with the request, if one happens to be in between the service and the
> client. But it might be nice to have a comment in
> /etc/default/x2gobroker-daemon warning that enabling debug will enable GET
> requests to make using a browser for testing possible. Also we need
> documentation specifying that only POST requests are normally honored, but
> documentation probably should wait until the product is closer to being
> finished :)

I have just committed an attempt to make the X2GOBROKER_DEBUG usage  
more clear:
http://code.x2go.org/gitweb?p=x2gobroker.git;a=commitdiff;h=94323f6767cc8f3258f03a4160dba4cf6e166d07

Greets,
Mike


-- 

DAS-NETZWERKTEAM
mike gabriel, rothenstein 5, 24214 neudorf-bornstein
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Added tag(s) pending. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Fri, 01 Mar 2013 10:18:02 GMT) (full text, mbox, link).


Removed tag(s) wontfix. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Fri, 01 Mar 2013 10:18:02 GMT) (full text, mbox, link).


Changed Bug title to 'Provide info in /etc/default config files about broker debug mode' from 'x2gobroker only works in debug-mode' Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Fri, 01 Mar 2013 10:18:02 GMT) (full text, mbox, link).


Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#126; Package x2gobroker. (Wed, 06 Mar 2013 17:38:52 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Wed, 06 Mar 2013 17:38:52 GMT) (full text, mbox, link).


Message #33 received at 126@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 126@bugs.x2go.org, 127@bugs.x2go.org, 134@bugs.x2go.org
Cc: control@bugs.x2go.org
Subject: Issues resolved in x2gobroker 0.0.0.6
Date: Wed, 06 Mar 2013 18:38:11 +0100
[Message part 1 (text/plain, inline)]
close #126
close #127
close #134
thanks

The reported issues have been resolved in X2Go Session Broker 0.0.0.5  
and 0.0.0.6.

Greets,
Mike

-- 

DAS-NETZWERKTEAM
mike gabriel, rothenstein 5, 24214 neudorf-bornstein
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Marked Bug as done Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Wed, 06 Mar 2013 17:38:54 GMT) (full text, mbox, link).


Notification sent to Anders Bruun Olsen <abo@dsl.dk>:
Bug acknowledged by developer. (Wed, 06 Mar 2013 17:38:54 GMT) (full text, mbox, link).


Bug archived. Request was from Debbugs Internal Request <owner@bugs.x2go.org> to internal_control@bugs.x2go.org. (Thu, 04 Apr 2013 05:24:02 GMT) (full text, mbox, link).


Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Fri Nov 15 04:32:52 2019; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system

Debbugs is free software and licensed under the terms of the GNU Public License version 2. The current version can be obtained from https://bugs.debian.org/debbugs-source/.

Copyright © 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson, 2005-2017 Don Armstrong, and many other contributors.